using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.SC
{
    /// <summary>
    /// 会议意见
    /// </summary>
    [Description("会议内容")]
    public class T_SC_MT_CONTENT : MesEntityBase
    {
        /// <summary>
        /// 通知编号
        /// </summary>
        [Description("内容编号")]
        [FormFieldTable]
        [FormFieldQuery]
        [DataFieldLength(50)]
        [FormFieldEdit]
        public string CODE { get; set; }

        /// <summary>
        /// 会议内容
        /// </summary>
        [Description("会议内容")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        [DataFieldForeignKey("Nav_ContentName", "Nav_ListContent")]
        public Guid? CONTENTNAME_ID { get; set; }

        /// <summary>
        /// 会议内容
        /// </summary>
        [Description("导航：会议内容")]
        public virtual T_SC_MT_CONTENT_NAME Nav_ContentName { get; set; }

        /// <summary>
        /// 会议类型
        /// </summary>
        [Description("会议类型")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        public SCMEETINGTYPE MEETINGTYPE { get; set; }

        /// <summary>
        /// 题型
        /// </summary>
        [Description("题型")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        public CHECKTYPE CHECKTYPE { get; set; }

        /// <summary>
        /// 题目
        /// </summary>
        [Description("题目")]
        [FormFieldTable]
        [FormFieldQuery]
        [DataFieldLength(200)]
        [FormFieldEdit]
        public string TITLE { get; set; }

        /// <summary>
        /// 导航：会议内容选项
        /// </summary>
        [Description("导航：会议题目选项")]
        [FormFieldEdit]
        public virtual ICollection<T_SC_MT_CONTENT_DEAL> Nav_ListContentDeal { get; set; }


        /// <summary>
        /// 题目排序
        /// </summary>
        [Description("题目排序")]
        public int CONTENT_NO { get; set; }
    }
}
